Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface DomainRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DomainRootImpl

    public interface DomainRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Domain Root'.

The following features are supported:

- `Intermediate`

See Also:
  `ModelPackage.getDomainRoot()`

Method Summary
`DomainIntermediate` | `getIntermediate()` Returns the value of the 'Intermediate' containment reference.
`void` | `setIntermediate(DomainIntermediate value)` Sets the value of the '`Intermediate`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIntermediate

    DomainIntermediate getIntermediate()

  Returns the value of the 'Intermediate' containment reference.

  If the meaning of the 'Intermediate' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Intermediate' containment reference.
  See Also:
    `setIntermediate(DomainIntermediate)`, `ModelPackage.getDomainRoot_Intermediate()`

### setIntermediate

    void setIntermediate(DomainIntermediate value)

  Sets the value of the '`Intermediate`' containment reference.

  Parameters:
    `value` - the new value of the 'Intermediate' containment reference.
  See Also:
    `getIntermediate()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.